#!/bin/sh
# modiles definition for Georgee's docsbuild
# format:
# module name	regexp
__Modules="
db_alt		[Dd]oc[Bb]ook\(/[Xx][Mm][Ll]\)?.*\(([aA][lL][tdTD])\)?
sgml		sgml|linuxdoc
html		html?
m-k		m[-_]?k	
extras		.*
"

__Types="
html		.*html?
OOo		(.*sxw|swx)|.*(office| word|winword).*
unknown		.*
"

__GetList () { # $1 "$2 -> entry from $2 mathed $1
  echo "$2" | while read M R
  do
    case "$M" in	# skip comments and empty lines
     ""|"#*") continue;;
    esac
    echo "$1" | egrep -iq "^$R$" && { echo "$M"; return; } ||:
  done
}

GetModule () { # $1 -> module name
  __GetList "$1" "$__Modules"
}

GetType () { # $1 -> head type
  __GetList "$1" "$__Types"
}

die () {
  echo "Error: $@" >&2
  exit 2
}
